package test;

import java.util.Iterator;

import com.itheima.util.LoopList;

/**
 * 对LoopList进行测试
 * 
 * @author mrng
 * 
 */
public class test {
	public static void main(String[] args) {
		// 测试对象
		LoopList<String> myLoopList = new LoopList<String>(3); // 设置对列大小为 3

		// 测试CRUD
		testCrud(myLoopList);
		// 测试ForEach
		testFor(myLoopList);
		// 测试Iterator
		testIterator(myLoopList);
	}

	// 测试CRUD
	public static void testCrud(LoopList<String> list) {
		System.out.println("-----测试CRUD-----");
		list.add("one"); // 添加第1个对象
		list.add("two"); // 添加第2个对象
		list.add("three"); // 添加第3个对象
		list.add("four"); // 添加第4个对象、由于队列大小为3，所以，第4个对象会将第1个对象挤出去。

		System.out.println(list.getFirst()); // 打印结果为 "two"
		System.out.println(list.getChildAt(1)); // 打印结果为 "three"

		list.add("five"); // 继续添加会将当前的第1个对象挤出去。

		System.out.println(list.getFirst()); // 打印结果为 "three"
		System.out.println(list.getChildAt(1)); // 打印结果为 "four"

	}

	// 测试ForEach
	public static void testFor(LoopList<String> list) {
		System.out.println("-----测试ForEach-----");
		for (String s : list) {
			System.out.println(s);
		}
	}

	// 测试Iterator
	public static void testIterator(LoopList<String> list) {
		System.out.println("-----测试Iterator-----");
		Iterator<String> it = list.iterator();
		while (it.hasNext()) {
			System.out.println(it.next());
		}
	}
}
